Bug 1345824 - [abrt] ibus: _g_log_abort(): ibus-ui-gtk3 killed by SIGTRAP
Summary: [abrt] ibus: _g_log_abort(): ibus-ui-gtk3 killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dbdcd81e08b4ae7da320d9069f5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 09:15 UTC by Mike FABIAN
Modified: 2019-09-25 04:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:51:16 UTC


Attachments (Terms of Use)
File: backtrace (39.87 KB, text/plain)
2016-06-13 09:15 UTC, Mike FABIAN
no flags Details
File: cgroup (259 bytes, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: core_backtrace (5.57 KB, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: dso_list (9.26 KB, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: environ (523 bytes, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: maps (45.86 KB, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.51 KB, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: open_fds (971 bytes, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details
File: var_log_messages (348 bytes, text/plain)
2016-06-13 09:16 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-06-13 09:15:49 UTC
Version-Release number of selected component:
ibus-1.5.13-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: _g_log_abort
executable:     /usr/libexec/ibus-ui-gtk3
global_pid:     3504
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 _g_log_abort at gmessages.c:325
 #9 XPending at Pending.c:55
 #10 _gdk_x11_display_queue_events at gdkeventsource.c:327
 #11 gdk_display_get_event at gdkdisplay.c:396
 #17 gtk_main at gtkmain.c:1269
 #18 application_run at application.c:199
 #19 application_main at application.c:269

Comment 1 Mike FABIAN 2016-06-13 09:15:57 UTC
Created attachment 1167344 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-06-13 09:16:00 UTC
Created attachment 1167345 [details]
File: cgroup

Comment 3 Mike FABIAN 2016-06-13 09:16:02 UTC
Created attachment 1167346 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2016-06-13 09:16:05 UTC
Created attachment 1167347 [details]
File: dso_list

Comment 5 Mike FABIAN 2016-06-13 09:16:07 UTC
Created attachment 1167348 [details]
File: environ

Comment 6 Mike FABIAN 2016-06-13 09:16:09 UTC
Created attachment 1167349 [details]
File: limits

Comment 7 Mike FABIAN 2016-06-13 09:16:12 UTC
Created attachment 1167350 [details]
File: maps

Comment 8 Mike FABIAN 2016-06-13 09:16:15 UTC
Created attachment 1167351 [details]
File: mountinfo

Comment 9 Mike FABIAN 2016-06-13 09:16:17 UTC
Created attachment 1167352 [details]
File: namespaces

Comment 10 Mike FABIAN 2016-06-13 09:16:20 UTC
Created attachment 1167353 [details]
File: open_fds

Comment 11 Mike FABIAN 2016-06-13 09:16:24 UTC
Created attachment 1167354 [details]
File: proc_pid_status

Comment 12 Mike FABIAN 2016-06-13 09:16:26 UTC
Created attachment 1167355 [details]
File: var_log_messages

Comment 13 fujiwara 2016-06-15 03:55:44 UTC
I cannot reproduce your backtrace.
Are you still able to reproduce your backtrace?

(In reply to Mike FABIAN from comment #1)
> Created attachment 1167344 [details]
> File: backtrace

#0  0x00007fe3e232119b in _g_log_abort (breakpoint=1) at gmessages.c:325
#1  g_logv (log_domain=0x7fe3e43d07ee "Gdk", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7ffe2c926640) at gmessages.c:1080
#2  0x00007fe3e232130f in g_log (log_domain=log_domain@entry=0x7fe3e43d07ee "Gdk", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7fe3e43eddae "%s") at gmessages.c:1119
#3  0x00007fe3e439b4ba in _gdk_x11_display_error_event (display=display@entry=0x55f91ef6f020, error=error@entry=0x7ffe2c9267f0) at gdkdisplay-x11.c:2576
#4  0x00007fe3e43a7723 in gdk_x_error (xdisplay=0x55f91ef58c00, error=0x7ffe2c9267f0) at gdkmain-x11.c:307
#5  0x00007fe3e349a57d in _XError (dpy=dpy@entry=0x55f91ef58c00, rep=rep@entry=0x55f91f053910) at XlibInt.c:1429
#6  0x00007fe3e34973e7 in handle_error (dpy=0x55f91ef58c00, err=0x55f91f053910, in_XReply=<optimized out>) at xcb_io.c:213
#7  0x00007fe3e34974ad in handle_response (dpy=dpy@entry=0x55f91ef58c00, response=0x55f91f053910, in_XReply=in_XReply@entry=0) at xcb_io.c:325
#8  0x00007fe3e3497e65 in _XEventsQueued (dpy=dpy@entry=0x55f91ef58c00, mode=mode@entry=2) at xcb_io.c:364
#9  0x00007fe3e348974f in XPending (dpy=dpy@entry=0x55f91ef58c00) at Pending.c:55
#10 0x00007fe3e43a218c in _gdk_x11_display_queue_events (display=0x55f91ef6f020) at gdkeventsource.c:327
#11 0x00007fe3e43713d9 in gdk_display_get_event (display=display@entry=0x55f91ef6f020) at gdkdisplay.c:396
#12 0x00007fe3e43a2002 in gdk_event_source_dispatch (source=source@entry=0x55f91ef8e4e0, callback=<optimized out>, user_data=<optimized out>) at gdkeventsource.c:363
#13 0x00007fe3e231a703 in g_main_dispatch (context=0x55f91ef8da90) at gmain.c:3154
#14 g_main_context_dispatch (context=context@entry=0x55f91ef8da90) at gmain.c:3769
#15 0x00007fe3e231aab0 in g_main_context_iterate (context=0x55f91ef8da90, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#16 0x00007fe3e231add2 in g_main_loop_run (loop=0x55f91efd1b20) at gmain.c:4034
#17 0x00007fe3e4839785 in gtk_main () at gtkmain.c:1269
#18 0x000055f91cd6cf5a in application_run (self=0x55f91ef51a10) at application.c:199
#19 application_main (argv=<optimized out>, argv_length1=1) at application.c:269
#20 0x000055f91cd6c280 in main (argc=<optimized out>, argv=<optimized out>) at application.c:278

Comment 14 Fedora End Of Life 2017-07-25 21:05:43 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 14:51:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.